Package com.avaya.clientservices.media.gui

## Class PlaneGestureAdapter

- java.lang.Object
- - android.view.GestureDetector.SimpleOnGestureListener
  - - com.avaya.clientservices.media.gui.PlaneGestureAdapter

- All Implemented Interfaces:
    `android.view.GestureDetector.OnContextClickListener`, `android.view.GestureDetector.OnDoubleTapListener`, `android.view.GestureDetector.OnGestureListener`, `PlaneGestureListener`

      public class PlaneGestureAdapter
      extends android.view.GestureDetector.SimpleOnGestureListener
      implements PlaneGestureListener

  A convenience class to extend when you only want to listen for a subset of all the gestures. This implements all methods in `PlaneGestureListener` but does nothing and returns `false` for all applicable methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaneGestureAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onScrollEnded​(android.view.MotionEvent e1, android.view.MotionEvent e2)` | Notified when a scroll occurs with the initial on down `MotionEvent` and the last move `MotionEvent`.

    - ### Methods inherited from class android.view.GestureDetector.SimpleOnGestureListener

      `onContextClick, onDoubleTap, onDoubleTapEvent, onDown, onFling, onLongPress, onScroll, onShowPress, onSingleTapConfirmed, onSingleTapUp`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface android.view.GestureDetector.OnDoubleTapListener

      `onDoubleTap, onDoubleTapEvent, onSingleTapConfirmed`

    - ### Methods inherited from interface android.view.GestureDetector.OnGestureListener

      `onDown, onFling, onLongPress, onScroll, onShowPress, onSingleTapUp`

- - ### Constructor Detail

    - #### PlaneGestureAdapter

          public PlaneGestureAdapter()

  - ### Method Detail

    - #### onScrollEnded

          public void onScrollEnded​(android.view.MotionEvent e1,
                                    android.view.MotionEvent e2)

      Notified when a scroll occurs with the initial on down `MotionEvent` and the last move `MotionEvent`.
      Specified by:
        `onScrollEnded` in interface `PlaneGestureListener`
      Parameters:
        `e1` - the first down motion event that started the scrolling
        `e2` - the move motion event that triggered the last onScroll in the sequence